# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: python-module-setuptools
# END SourceDeps(oneline)
%define oldname python-pycallgraph
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global modname pycallgraph

Name:             python-module-pycallgraph
Version:          0.5.1
Release:          alt1_14
Summary:          A module that creates call graphs for Python programs

Group:            Development/Other
License:          GPLv2+
URL:              http://pycallgraph.slowchop.com
Source0:          http://pycallgraph.slowchop.com/files/download/%{modname}-%{version}.tar.gz

BuildArch:        noarch
BuildRequires:    python-devel

%global _description\
Python Call Graph uses GraphViz to generate call graphs from one execution of\
your Python code. It's very easy to use and can point out possible problems\
with your code execution.
Source44: import.info

%description 

%_description
%prep
%setup -q -n %{modname}-%{version}

%build
sed -i 1d pycallgraph.py
%python_build

%install
%python_install

%files -n python-module-pycallgraph
%doc COPYING
%{_bindir}/pycallgraph
%{python_sitelibdir_noarch}/*

%changelog
* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1_14
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1_13
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1_12
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1_10
- update to new release by fcimport

* Fri Sep 30 2016 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1_9
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1_8
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1_7
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1_6
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1_5
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1_4
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1_3
- initial fc import

